package com.example.vdcscore.models;

import com.google.firebase.database.PropertyName;
import java.util.ArrayList;
import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

public class Club implements Serializable {
    @PropertyName("id")
    private int id;

    @PropertyName("nome")
    private String name;

    @PropertyName("imagem")
    private String imageUrl;

    @PropertyName("campo")
    private String stadium;

    @PropertyName("ano_fundacao")
    private int foundationYear;

    @PropertyName("morada")
    private String address;

    @PropertyName("presidente")
    private String president;

    public Club() {
        // Default constructor for Firebase
    }

    public Club(int id, String name, String imageUrl, String stadium, int foundationYear, String address,
            String president) {
        this.id = id;
        this.name = name;
        this.imageUrl = imageUrl;
        this.stadium = stadium;
        this.foundationYear = foundationYear;
        this.address = address;
        this.president = president;
    }

    @PropertyName("id")
    public int getId() {
        return id;
    }

    @PropertyName("id")
    public void setId(int id) {
        this.id = id;
    }

    @PropertyName("nome")
    public String getName() {
        return name;
    }

    @PropertyName("nome")
    public void setName(String name) {
        this.name = name;
    }

    @PropertyName("imagem")
    public String getImageUrl() {
        return imageUrl;
    }

    @PropertyName("imagem")
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    @PropertyName("campo")
    public String getStadium() {
        return stadium;
    }

    @PropertyName("campo")
    public void setStadium(String stadium) {
        this.stadium = stadium;
    }

    @PropertyName("ano_fundacao")
    public int getFoundationYear() {
        return foundationYear;
    }

    @PropertyName("ano_fundacao")
    public void setFoundationYear(int foundationYear) {
        this.foundationYear = foundationYear;
    }

    @PropertyName("morada")
    public String getAddress() {
        return address;
    }

    @PropertyName("morada")
    public void setAddress(String address) {
        this.address = address;
    }

    @PropertyName("presidente")
    public String getPresident() {
        return president;
    }

    @PropertyName("presidente")
    public void setPresident(String president) {
        this.president = president;
    }

}
